Handle file targets in missing home modules warning
ClosedPublic

Authored by hvr on May 19 2017, 5:23 AM.

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
Yuras created this revision.May 19 2017, 5:23 AM
Yuras added a reviewer: hvr.May 19 2017, 5:26 AM
hvr awarded a token.May 19 2017, 6:16 AM
hvr edited edge metadata.EditedMay 19 2017, 6:18 AM

Unless somebody beats me to it, I've offered @Yuras to take care of trying to add some regression test-case (see trac ticket for examples) involving a subfolder.

@bgamari assuming the testsuite validates w/ the current patch (without the additional regression tests specific to Trac #13727), can we merge this to master & ghc-8.2 so that we can see if we can make this work w/ cabal?

Yuras updated this revision to Diff 12633.May 19 2017, 7:00 AM
  • Handle also file targets, converted from module targets
bgamari edited edge metadata.May 20 2017, 12:15 PM

Surely this at least needs a comment explaining the reasoning and a reference to the original ticket.

hvr commandeered this revision.May 21 2017, 11:05 AM
hvr edited reviewers, added: Yuras; removed: hvr.
hvr updated this revision to Diff 12655.May 21 2017, 11:05 AM
hvr updated the Trac tickets for this revision.May 21 2017, 11:10 AM
hvr updated this revision to Diff 12656.May 21 2017, 3:35 PM
  • Add more comments describing the new impl for Trac #13727
bgamari accepted this revision.May 21 2017, 4:13 PM

Much better! Thanks.

This revision is now accepted and ready to land.May 21 2017, 4:13 PM

Can we add a test case that uses -main-is?

hvr added a comment.May 22 2017, 3:17 AM

Can we add a test case that uses -main-is?

Sure, can you give me some examples which you consider worth adding?

hvr updated this revision to Diff 12664.May 22 2017, 4:14 AM
  • Add more tests, this time involving -main-is
Yuras accepted this revision.May 22 2017, 5:36 AM

LGTM. @hvr, thank you for taking care of of this patch!

This revision was automatically updated to reflect the committed changes.